org.eclipse.microprofile.rest.client.tck.providers

## Class ProducesConsumesFilter

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.ProducesConsumesFilter

All Implemented Interfaces:
  jakarta.ws.rs.client.ClientRequestFilter

    public class ProducesConsumesFilter
    extends Object
    implements jakarta.ws.rs.client.ClientRequestFilter

Aborts with a response showing "Sent-Accept" and "Sent-ContentType" headers to indicate the request's header values for "Accept" and "Content-type", respectively.

### Constructor Summary

Constructors
Constructor and Description
`ProducesConsumesFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter(jakarta.ws.rs.client.ClientRequestContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProducesConsumesFilter

    public ProducesConsumesFilter()

### Method Detail

#### filter

    public void filter(jakarta.ws.rs.client.ClientRequestContext ctx)
                throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientRequestFilter`
Throws:
  `IOException`